Bug 187558 - x11/gdm: Port should not overwrite pam.d/gdm if it exists
Summary: x11/gdm: Port should not overwrite pam.d/gdm if it exists
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-03-13 22:50 UTC by robmessick
Modified: 2020-10-09 21:06 UTC (History)
5 users (show)

See Also:


Attachments
@sample-ify gdm files in $PREFIX/etc (2.88 KB, patch)
2017-08-09 06:34 UTC, Eugene M. Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description robmessick 2014-03-13 22:50:00 UTC
Installing the GDM port or package always overwrites the ${PREFIX}/etc/pam.d/gdm. The port should not overwrite this configuration file.

How-To-Repeat: # touch /usr/local/etc/pam.d/gdm
# cd /usr/ports/x11/gdm && make install
Comment 1 Edwin Groothuis freebsd_committer 2014-03-13 22:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dominic Fandrey freebsd_committer 2017-02-21 17:18:03 UTC
I think this should be solved via @sample in the pkg-plist, e.g. like security/sudo does.
Comment 3 Eugene M. Kim 2017-08-09 06:34:50 UTC
Created attachment 185187 [details]
@sample-ify gdm files in $PREFIX/etc

I recently ran into a similar issue (/usr/local/etc/gdm/Init/Default not being a config file) and rolled a simple patch (attached) to convert all gdm files installed in /usr/local/etc into @sample files.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-17 07:41:36 UTC
Any news here?
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-02-26 20:14:17 UTC
ping!
Comment 6 Eugene M. Kim 2018-07-23 04:52:07 UTC
ping! (2)
Comment 7 Walter Schwarzenfeld freebsd_triage 2019-08-14 15:24:34 UTC
Maintainer feedback!
Comment 8 Eugene M. Kim 2020-07-17 07:43:21 UTC
Maintainer feedb... ping! (3)
Comment 9 commit-hook freebsd_committer 2020-10-03 16:01:23 UTC
A commit references this bug:

Author: 0mp
Date: Sat Oct  3 16:00:21 UTC 2020
New revision: 551325
URL: https://svnweb.freebsd.org/changeset/ports/551325

Log:
  x11/gdm: @sample-ify some GDM files in etc/

  It's been reported that it would be desired to treat the following
  files as samples:

  - etc/dbus-1/system.d/gdm.conf.sample
  - etc/gdm/Init/Default.sample
  - etc/gdm/Xsession.sample
  - etc/pam.d/gdm-autologin.sample
  - etc/pam.d/gdm-launch-environment.sample
  - etc/pam.d/gdm-password.sample

  PR:		187558
  Submitted by:	Eugene M. Kim <astralblue@gmail.com
  Reported by:	robmessick@gmail.com
  Approved by:	maintainer timeout

Changes:
  head/x11/gdm/Makefile
  head/x11/gdm/pkg-plist
Comment 10 Mateusz Piotrowski freebsd_committer 2020-10-03 16:09:44 UTC
Done, thanks for the patch!
Comment 11 Eugene M. Kim 2020-10-04 03:33:00 UTC
OMG finally, thanks!
Comment 12 commit-hook freebsd_committer 2020-10-09 21:06:57 UTC
A commit references this bug:

Author: bapt
Date: Fri Oct  9 21:06:16 UTC 2020
New revision: 551827
URL: https://svnweb.freebsd.org/changeset/ports/551827

Log:
  MFH: r551325 r551326 r551789 r551814 r551815

  This all bunch of patches fixes GDM with gnome

  x11/gdm: @sample-ify some GDM files in etc/

  It's been reported that it would be desired to treat the following
  files as samples:

  - etc/dbus-1/system.d/gdm.conf.sample
  - etc/gdm/Init/Default.sample
  - etc/gdm/Xsession.sample
  - etc/pam.d/gdm-autologin.sample
  - etc/pam.d/gdm-launch-environment.sample
  - etc/pam.d/gdm-password.sample

  PR:		187558
  Submitted by:	Eugene M. Kim <astralblue@gmail.com
  Reported by:	robmessick@gmail.com
  Approved by:	maintainer timeout

  x11/gdm: Switch to USES=localbase

  Approved by:	portmgr blanket

  Properly handle logind -> consolekit

  Grab a patch from openbsd and extend it do other components which requires it

  Remove from the gnome session a list of required dbus services that no
  longer exists

  Gnome-shell: fix the login manager interface

  gdm call gnome-shell to provide its login manager. with the upgrade of gnome-shell
  this wasn't patched to be able to talk to consolekit. Fix this by incorporating patches
  from OpenBSD

Changes:
_U  branches/2020Q4/
  branches/2020Q4/sysutils/gnome-settings-daemon/Makefile
  branches/2020Q4/sysutils/gnome-settings-daemon/files/patch-plugins_media-keys_gsd-media-keys-manager.c
  branches/2020Q4/sysutils/gnome-settings-daemon/files/patch-plugins_power_gsd-backlight.c
  branches/2020Q4/sysutils/gnome-settings-daemon/files/patch-plugins_power_gsd-power-manager.c
  branches/2020Q4/x11/gdm/Makefile
  branches/2020Q4/x11/gdm/files/patch-data_gnome-login.session.in
  branches/2020Q4/x11/gdm/pkg-plist
  branches/2020Q4/x11/gnome-shell/Makefile
  branches/2020Q4/x11/gnome-shell/files/